# Get

Launch stage: Beta

`GET /api/2.1/accounts/{account_id}/users/{user_id}/settings/{name}`

Get a user preference for a specific user.
 User preferences are personal settings that allow individual customization without affecting other users.
 See `settingsv2/listaccountuserpreferencesmetadata` for list of user preferences available via public APIs.

API scopes: settings

## Path parameters

- `account_id` (string, optional)
  <Databricks> account ID of the account being managed.
- `user_id` (string, optional)
  User ID of the user whose setting is being retrieved.
- `name` (string, optional)
  User Setting name.

## Returns

Returns the UserPreference object.

## Response

```json
{
  "name": "string",
  "user_id": "string",
  "boolean_val": {
    "value": true
  },
  "string_val": {
    "value": "string"
  },
  "effective_boolean_val": {
    "value": true
  },
  "effective_string_val": {
    "value": "string"
  }
}
```

